3 Replies Latest reply: Aug 4, 2006 7:01 AM by joelkallman-Oracle RSS

    Version 2.2 installation fails

    135285
      Hi,

      when I install the DB part of APEX 2.2 i'm getting the following error:
      ...PAGE 124: Subscribed Templates
      Error creating button name="REFRESH" id="181590632003554484" ORA-06502: PL/SQL: 
      numeric or value error: character string buffer too small
      ORA-06512: at         
      "FLOWS_020200.WWV_BIU_STEP_BUTTONS", line 24
      ORA-04088: error during execution  
      of trigger 'FLOWS_020200                                                        
      After this error the installation does not abort, but a little bit later I get
      ...PAGE 190: Create Button
      Error page=190 item="F4000_P190_QUICKPICK" id="5224728991502726"                
      declare
      *
      ERROR at line 1:
      ORA-06502: PL/SQL: numeric or value error 
      ORA-06512: at "SYS.OWA_UTIL", line 323 
      ORA-06512: at "SYS.HTP", line 860 
      ORA-06512: at "SYS.HTP", line 975 
      ORA-06512: at "SYS.HTP", line 993 
      ORA-06512: at "FLOWS_020200.WWV_FLOW_API", line 4005 
      ORA-06502: PL/SQL: numeric or value error: character string buffer too small 
      ORA-06512: at "FLOWS_020200.WWV_BIU_STEP_ITEMS", line 63 
      ORA-04088: error during execution of trigger 'FLOWS_020200.WWV_BIU_STEP_ITEMS' 
      ORA-06512: at line 4 
      which then aborts the installation.

      What's wrong? I'm running on DB 10.2.0.1.0 and tried it on a DB with an existing APEX 2.0 and on one without an installed APEX. On both DBs the same error.

      Thanks
      Patrick
        • 1. Re: Version 2.2 installation fails
          joelkallman-Oracle
          Patrick,

          I believe your issue is related to an underlying database bug I tracked down earlier this year.

          By chance, for your database, is NLS_LENGTH_SEMANTICS=CHAR? Is it feasible for you to try this with NLS_LENGTH_SEMANTICS=BYTE and try the installation again (ensuring you first follow the steps of cleaning up after a failed installation).

          Joel
          • 2. Re: Version 2.2 installation fails
            135285
            Hi Joel,

            thanks for the hint. The problem does not occur anymore if I set NLS_LENGTH_SEMANTICS to BYTE in my session.

            Maybe this should be added to the installation script...

            Thanks
            Patrick
            • 3. Re: Version 2.2 installation fails
              joelkallman-Oracle
              Hi Patrick,

              You're probably correct - we should check for this in the installation script of Application Express. I actually abstained from doing so, because this underlying database issue will be rectified in some future database patch set - so I didn't want to prevent something which may and should work for customers in a few months.

              But at a minimum, this is something we should highlight in our Installation Guide or Release Notes as a potential issue. Thanks for the suggestion.

              Joel